Not needed anymore.
[kopensolaris-gnu/glibc.git] / shlib-versions
index 3ad220d..e1a9f9a 100644 (file)
@@ -8,16 +8,19 @@
 # Configuration                Library versions
 # -------------                ------- --------
 
-# The interface to -lm depends only on cpu, not on operating system.
+# The interface to -lm depends mostly only on cpu, not on operating system.
 i.86-.*-.*             libm=6
 m68k-.*-.*             libm=6
+sparc-.*-.*            libm=6
+sparc64-.*-.*          libm=6
 alpha-.*-linux.*       libm=6.1
 alpha-.*-.*            libm=6
+powerpc-.*-.*          libm=6
+mips-.*-.*             libm=6
 
 # We provide libc.so.6 for Linux kernel versions 2.0 and later.
-i.86-.*-linux.*                libc=6
-m68k-.*-linux.*                libc=6
 alpha-.*-linux.*       libc=6.1
+.*-.*-linux.*          libc=6
 
 # libmachuser.so.1 corresponds to mach/*.defs as of Utah's UK22 release.
 .*-.*-gnu-gnu.*                libmachuser=1
@@ -30,6 +33,8 @@ alpha-.*-linux.*      libc=6.1
 
 # The dynamic loader also requires different names.
 i.86-.*-linux.*                ld=ld-linux.so.2
+sparc-.*-linux.*       ld=ld-linux.so.2
+sparc64-.*-linux.*     ld=ld-linux.so.2
 alpha-.*-linux.*       ld=ld-linux.so.2
 # We use the ELF ABI standard name for the default.
 .*-.*-.*               ld=ld.so.1
@@ -56,13 +61,15 @@ alpha-.*-linux.*    libnss_dns=1.1
 alpha-.*-linux.*       libnss_db=1.1
 alpha-.*-linux.*       libnss_compat=1.1
 alpha-.*-linux.*       libnss_nis=1.1
+alpha-.*-linux.*       libnss_nisplus=1.1
 .*-.*-.*               libnss_files=1
 .*-.*-.*               libnss_dns=1
 .*-.*-.*               libnss_db=1
 .*-.*-.*               libnss_compat=1
 .*-.*-.*               libnss_nis=1
+.*-.*-.*               libnss_nisplus=1
 
-# Version for libnsl with YP functions.
+# Version for libnsl with YP and NIS+ functions.
 alpha-.*-linux.*       libnsl=1.1
 .*-.*-.*               libnsl=1